require 'rails_helper'
require 'json'

RSpec.describe MessageController, :type => :controller do
  describe 'GET #message' do
    context 'when ID is invalid' do
      it 'returns error' do
        get :message, id: 13948021843908
        expect(JSON.parse(response.body)).to have_key "error"
      end
    end

    context 'when ID is valid' do
      it 'returns message data' do
        message = generate_message
        get :message, id: message.id
        expect(JSON.parse(response.body)).to_not have_key "error"
        expect(JSON.parse(response.body)).to include(
          "body" => message.body,
          "title" => message.title
          )
      end
    end
  end
end
